2005-04-26  Sarod Yatawatta  <sarod@mora>

	* NEWS, doc/tutorial/tutorial.sgml, man/pdnmesh_input.5.in:
	get ready for 0.2.2

	* src/graphics.c, src/input.c, doc/tutorial/tutorial.sgml:
	updated tutorial
	fixed some bugs in string handling

2005-04-24  Sarod Yatawatta  <sarod@mora>

	* doc/examples/coords.1, doc/examples/coords.10, doc/examples/coords.11, doc/examples/coords.1a, doc/examples/coords.2, doc/examples/coords.3, doc/examples/coords.5, doc/examples/coords.6, doc/examples/coords.7, doc/examples/coords.8, doc/examples/coords.9, doc/examples/curcap, doc/examples/flow, doc/examples/flow.1, doc/examples/heart, doc/examples/heat, doc/examples/switch, src/input.c, src/wave.c:
	updated example files to new format

	* src/dxf.c, src/graphics.c, src/input.c, src/lexer.c, src/lexer.l, src/parser.c, src/parser.y, src/pdnmesh.c, src/poly.c, src/solve.c, src/types.h, doc/examples/coords.4, doc/examples/coords.10:
	added parser to parse expressions for mu, epsilon, and rho for each boundary.
	Changed input file format to include all three above variables.
	Also changed DXF import routines to define all three above as strings.

2005-04-21  Sarod Yatawatta  <sarod@mora>

	* src/spmat.c, debian/control, debian/rules, man/pdnmesh.1.in, man/pdnmesh_input.5.in, src/eig_arpack.c, src/graphics.c, INSTALL:
	added pthread support to sparce matrix vector product

	* src/eig_arpack.c: print info on matrix size

2005-04-20  Sarod Yatawatta  <sarod@mora>

	* src/eig_arpack.c:
	added mutex to lock updates of sparse matrix: not thread safe. However,
	reading sparse matrix is thread safe

	* win32/pdnmesh.dsp, src/eig_arpack.c, src/graphics.c, config.h.in, configure.in, acinclude.m4, aclocal.m4:
	added POSIX thread support for Cholevsky decomposition in ARPACK

2005-04-19  Sarod Yatawatta  <sarod@mora>

	* src/dag.c: bug fix

	* src/ardrive.f, INSTALL, README: updated documentation

	* src/ardrive.f, src/eig_arpack.c, src/graphics.c, src/types.h:
	added GUI interfare to control ARPACK options

2005-04-18  Sarod Yatawatta  <sarod@mora>

	* src/pdnmesh.c, src/types.h, src/bitree.c, src/dag.c, src/graphics.c, src/input.c:
	when switching problem type from eigenvalue problems to Poisson problems,
	 need to re-generate mesh by re-reading input file because potential
	data is lost.

	* src/glist.c, src/hash.c, src/input.c, src/poly.c, src/rbt.c, src/subdivide.c, src/types.h, src/wave.c, src/Makefile.am, src/bitree.c, src/dag.c, src/dxf.c, src/eig.c, src/eig_arpack.c, src/eig_lapack.c, configure.in:
	fixed configure script. --enable-arpack will turn ARPACK on/off

	* src/ardrive.f, src/eig_arpack.c: ARPACK solver driver

	* debian/control, src/Makefile.am, src/eig_lapack.c, src/graphics.c, src/solve.c, src/spmat.c, src/types.h, src/wave.c, config.h.in, configure.in:
	Added ARPACK solver. configure script does not work yet

2005-04-12  Sarod Yatawatta  <sarod@mora>

	* src/eig.c, src/eig_lapack.c, src/types.h, debian/changelog, debian/control, debian/copyright, debian/postinst, debian/rules, configure.in:
	fixed some debian build problems

2005-03-27  Sarod Yatawatta  <sarod@mora>

	* src/spmat.c, src/types.h, src/graphics.c:
	added routine to change background colour

2005-03-15  Sarod Yatawatta  <sarod@mora>

	* debian/rules, NEWS: ready for 0.2.1

	* src/graphics.c, src/dxf.c: updated statusbar

2005-03-14  Sarod Yatawatta  <sarod@mora>

	* pixmaps/help_about.xpm, pixmaps/next_eigenmode.xpm, pixmaps/plot_grad.xpm:
	more pixmaps

	* src/graphics.c, pixmaps/Makefile.am: added more toolbar buttons

2005-03-13  Sarod Yatawatta  <sarod@mora>

	* debian/control, debian/copyright, debian/menu, man/pdnmesh.1.in, man/pdnmesh_input.5.in, INSTALL:
	updated man pages

	* ChangeLog: updated changelog

2005-03-12  Sarod Yatawatta  <sarod@mora>

	* INSTALL: added info on debian building

	* Makefile.am, README, configure.in, debian/Makefile.am, debian/changelog, debian/compat, debian/control, debian/copyright, debian/dirs, debian/docs, debian/menu, debian/postinst, debian/postrm, debian/preinst, debian/prerm, debian/rules:
	added debian package build files

	* src/integrate.c, src/graphics.c:
	added windows for integration output and problem info ioutput

	* src/types.h, src/integrate.c: added gtk window for integration output

2005-03-12  Sarod Yatawatta  <sarod@mora>

	* INSTALL: added info on debian building

	* Makefile.am, README, configure.in, debian/Makefile.am, debian/changelog, debian/compat, debian/control, debian/copyright, debian/dirs, debian/docs, debian/menu, debian/postinst, debian/postrm, debian/preinst, debian/prerm, debian/rules:
	added debian package build files

	* src/integrate.c, src/graphics.c:
	added windows for integration output and problem info ioutput

	* src/types.h, src/integrate.c: added gtk window for integration output

	* src/graphics.c:
	added coordination between plot menu options and toolbar buttons for plotting
	contours, mesh, fill etc.

2005-03-11  Sarod Yatawatta  <sarod@mora>

	* src/surfmesh.c, src/types.h, src/graphics.c:
	switch eigenmode updates drawing both ways now (main window <-->3d window)

	* src/surfmesh.c: eliminate duplicate 3d windows

	* src/surfmesh.c, src/types.h, src/graphics.c, pixmaps/Makefile.am, pixmaps/plot_cont.xpm, pixmaps/plot_fill.xpm, pixmaps/plot_mesh.xpm:
	3d window will redraw the main window when switching eigenmodes

	* src/graphics.c: more toolbar options

	* src/Makefile.am, src/graphics.c: added toolbar

	* pixmaps/zoom_window.xpm, Makefile.am, aclocal.m4, configure.in, pixmaps/Makefile.am, pixmaps/open.xpm, pixmaps/save.xpm, pixmaps/zoom_all.xpm, pixmaps/zoom_back.xpm:
	added GTK toolbar

	* win32/pdnmesh.rc, src/types.h: check compile in win32

2005-03-10  Sarod Yatawatta  <sarod@mora>

	* src/dxf.c, src/types.h, src/bitree.c:
	fixed memory leaks using valgrind

	* src/pdnmesh.c, configure.in:
	made the inclusion() routine more robust to floating point errors. seems to
	work on SGI Irix.

2005-03-07  Sarod Yatawatta  <sarod@mora>

	* src/types.h, src/Makefile.am, src/pdnmesh.c:
	added redundant flaoting point checks when underflow is detected

2005-02-22  Sarod Yatawatta  <sarod@mora>

	* src/types.h, src/wave.c, src/hash.c:
	fixed stupid bug. omitting data size. what was I thinking?

2005-02-20  Sarod Yatawatta  <sarod@mora>

	* ChangeLog: updated changelog

	* AUTHORS, INSTALL, NEWS, man/pdnmesh.1.in, man/pdnmesh_input.5.in:
	updated documentation for release 0.2.0

	* doc/tutorial/tutorial.sgml: updated tutorial

2005-02-20  Sarod Yatawatta  <sarod@mora>

	* AUTHORS, INSTALL, NEWS, man/pdnmesh.1.in, man/pdnmesh_input.5.in:
	updated documentation for release 0.2.0

	* doc/tutorial/tutorial.sgml: updated tutorial

2005-02-18  Sarod Yatawatta  <sarod@mora>

	* win32/pdnmesh.dsp, src/pdnmesh.c, src/types.h, src/bitree.c, src/lexer.c, src/parser.c, src/parser.y:
	added better routines to evaluate determinants

	* src/lexer.l, src/pdnmesh.c, src/subdivide.c, src/types.h, src/wave.c, src/bitree.c, src/contour.c, src/dag.c, src/dxf.c, src/graphics.c, src/integrate.c, src/lexer.c:
	fixed to compile with DEBUG set to 1

	* win32/pdnmesh.dsp, src/pdnmesh.c: minor fixes

2005-02-17  Sarod Yatawatta  <sarod@mora>

	* win32/pdnmesh.dsp, src/types.h, src/wave.c, src/eig_lapack.c, src/solve.c:
	added intel MKL support in win32

2005-02-16  Sarod Yatawatta  <sarod@mora>

	* src/graphics.c: added keypress event to switch eigenmodes

	* src/wave.c, src/types.h, src/solve.c, src/graphics.c:
	added option to select full matrix solver or half matrix(upper triangle) solver
	for symmetric positive defeinite cases when solving inhomogeneous eigenproblems

	* win32/SolveOptions.cpp, win32/SolveOptions.h, win32/model.cpp, win32/pdnmesh.rc, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/pdnmeshView.cpp, win32/pdnmeshView.h, win32/resource.h:
	minor cleanup of win32 gui

2005-02-15  Sarod Yatawatta  <sarod@mora>

	* src/types.h, src/solve.c, src/eig_lapack.c, src/graphics.c:
	added sparse matrix storage for homogeneous wave equation

	* src/dag.c: fixed memory leak

	* src/input.c: fixed bug in reading input file (do not read z values)

	* src/eig_lapack.c, src/types.h, src/wave.c:
	incorporated sparse matrices for generelized eigenvalue problem formulation.
	However, solution still uses full matrices.

	* win32/pdnmesh.dsp, win32/pdnmesh.rc, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, src/types.h:
	fixed win32 MRU file opening

2005-02-13  Sarod Yatawatta  <sarod@mora>

	* src/Makefile.am, src/graphics.c, src/surfmesh.c, src/types.h:
	removed 3d related code from graphics.c and created file surfmesh.c

	* win32/MainFrm.cpp, win32/MainFrm.h, win32/SaveOptions.cpp, win32/SaveOptions.h, win32/SolveOptions.cpp, win32/SolveOptions.h, win32/StdAfx.cpp, win32/StdAfx.h, win32/model.cpp, win32/model.h, win32/pdnmesh.dsp, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/pdnmeshView.cpp, win32/pdnmeshView.h, win32/winpdnmesh.cpp, win32/winpdnmesh.h:
	updated date, fixed compilation in win32

	* src/types.h, src/wave.c, src/graphics.c, src/lexer.c, src/parser.c, src/pdnmesh.c, src/solve.c, missing, aclocal.m4:
	added function to generate mesh, independent of solving

2005-02-11  Sarod Yatawatta  <sarod@mora>

	* src/glist.c: generic liked list for hash table

	* src/wave.c: inhomogeneous wave equation formulation

	* src/types.h, src/subdivide.c, src/spmat.c, src/rbt.c, src/solve.c, src/pdnmesh.c, src/poly.c, src/parser.y, src/parser.c, src/output.c, src/lexer.l, src/input.c, src/integrate.c, src/lexer.c, src/eig_lapack.c, src/hash.c, src/eig.c, src/dxf.c, src/dag.c, src/contour.c, src/bitree.c, src/Makefile.am:
	added new hash table using chaining

2005-02-10  Sarod Yatawatta  <sarod@mora>

	* win32/model.h, win32/pdnmesh.dsp, win32/pdnmesh.rc, win32/resource.h, src/solve.c, src/spmat.c, src/poly.c, src/input.c:
	fiexd warnings in MSVC++ compiler

2005-01-14  Sarod Yatawatta  <sarod@mora>

	* src/spmat.c: fix memory leak

2004-12-04  Sarod Yatawatta  <sarod@mora>

	* win32/Makefile.am: added icons to the distribution

	* INSTALL, NEWS, README: info for pre release of 0.2 on win32.

	* win32/MainFrm.cpp, win32/model.cpp, win32/pdnmesh.rc, win32/pdnmeshView.cpp, win32/pdnmeshView.h, win32/winpdnmesh.h:
	added zooming and plotting options

2004-12-03  Sarod Yatawatta  <sarod@mora>

	* win32/Makefile.am, win32/pdnmesh.dsp, win32/pdnmesh.rc, win32/pdnmeshView.cpp, win32/pdnmeshView.h, win32/resource.h, configure.in:
	more toolbar options

2004-12-02  Sarod Yatawatta  <sarod@mora>

	* win32/SaveOptions.cpp, win32/SaveOptions.h, win32/SolveOptions.cpp, win32/SolveOptions.h:
	classes for dialog boxes

	* win32/pdnmesh.dsp, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h:
	added solve->solve menu option

	* win32/pdnmesh.rc: resource script

	* win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/resource.h:
	added dialog to change equation type

	* win32/pdnmesh.dsp, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/resource.h, win32/model.cpp, win32/Makefile.am:
	added complete file export options to win32 version

2004-12-01  Sarod Yatawatta  <sarod@mora>

	* win32/model.cpp, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/winpdnmesh.cpp:
	added file save support to win32

	* win32/model.cpp, win32/model.h, win32/pdnmeshDoc.cpp, win32/resource.h:
	fixed some VC++ compiler warnings

	* pdnmesh.dsp, pdnmesh.dsw, pdnmesh.mak: removed old files

	* src/hash.c, src/solve.c, src/types.h, win32/MainFrm.cpp, win32/MainFrm.h, win32/Makefile.am, win32/StdAfx.cpp, win32/StdAfx.h, win32/model.cpp, win32/model.h, win32/pdnmesh.dsp, win32/pdnmesh.dsw, win32/pdnmeshDoc.cpp, win32/pdnmeshDoc.h, win32/pdnmeshView.cpp, win32/pdnmeshView.h, win32/resource.h, win32/winpdnmesh.cpp, win32/winpdnmesh.h, Makefile.am, configure.in, src/graphics.c:
	First working Win32 MFC port added

	* src/bitree.c, src/contour.c, src/dxf.c, src/eig.c, src/graphics.c, src/input.c, src/output.c, src/parser.c, src/parser.h, src/parser.y, src/pdnmesh.c, src/types.h:
	first native win32 build

2004-11-30  Sarod Yatawatta  <sarod@mora>

	* src/dag.c, src/dxf.c, src/graphics.c, src/lexer.c, src/parser.c, src/pdnmesh.c, src/types.h:
	added C++ compatibility to header

	* src/dag.c, src/dxf.c, src/graphics.c, src/pdnmesh.c, src/types.h:
	added command line option -x to work in text only mode

	* src/lexer.c, src/lexer.l, src/parser.c, src/parser.y, src/types.h:
	fixed some compiler warnings

	* src/contour.c, src/dxf.c, src/graphics.c, src/hash.c, src/integrate.c, src/output.c, src/parser.c, src/parser.y, src/pdnmesh.c, src/poly.c, src/solve.c, src/spmat.c, src/subdivide.c, src/types.h, configure.in:
	redefined M(.,.) macros to explicitly include the mesh M

2004-11-17  Sarod Yatawatta  <sarod@mora>

	* configure.in: remove FLIBS from configure

2004-11-17  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c, src/spmat.c:
	conjugate gradient solver for sparse matrices working!

2004-11-16  Sarod Yatawatta  <sarod@kandy>

	* src/spmat.c: added deletion of zero elements from sparse matrix

	* src/pdnmesh.c, src/solve.c, src/spmat.c, src/graphics.c:
	cholevsky solver for sparse matrix is working but need to implement garbage collection

2004-11-15  Sarod Yatawatta  <sarod@kandy>

	* src/spmat.c: add version for spmat.c

	* src/pdnmesh.c, src/spmat.c, src/types.h, configure.in, src/Makefile.am, src/graphics.c:
	added sparse matrix solver

2004-11-14  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: moved types.h

2004-11-12  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c, src/pdnmesh.c, src/types.h: removed USE_GTK directive

	* src/rbt.c: fix memory bug

2004-11-06  Sarod Yatawatta  <sarod@kandy>

	* doc/tutorial/Makefile.am, doc/tutorial/README:
	removed tutorial.pdf from CVS

	* INSTALL: added -O3 flag

2004-11-01  Sarod Yatawatta  <sarod@kandy>

	* src/pdnmesh.c:
	added options equation inhomogeneous waveguide problems

2004-10-31  Sarod Yatawatta  <sarod@kandy>

	* src/pdnmesh.c:
	added command line option to plot contour/gradient/fill

	* src/dxf.c: remove debug messages

	* src/dxf.c: fixed bug in reading DXF files due to buffer overrun

2004-10-25  Sarod Yatawatta  <sarod@kandy>

	* src/output.c, src/types.h, src/graphics.c, src/contour.c:
	added function to print points and potentials as an ASCII file

	* src/graphics.c: set FALSE in gtk_widget_reallocate_redraw

	* src/contour.c:
	added legend window to track mous and display potential

2004-10-24  Sarod Yatawatta  <sarod@kandy>

	* doc/tutorial/tutorial.sgml, configure.in:
	updated tutorial. start 0.1.8

2004-10-18  Sarod Yatawatta  <sarod@kandy>

	* ChangeLog: updated changelog

	* src/graphics.c: ANSI check

	* src/eig_lapack.c: make it compile in FreeBSD

	* src/graphics.c, NEWS, AUTHORS: changes for 0.1.7

	* src/types.h, src/integrate.c, src/pdnmesh.c, src/graphics.c:
	more refinements

	* src/graphics.c: refined status bar

	* src/types.h, src/graphics.c:
	added Colour Fill for contour plotting, added z coord to status bar

2004-10-17  Sarod Yatawatta  <sarod@kandy>

	* src/integrate.c: integrate.c: integrates to calculate charge

	* src/types.h, src/Makefile.am, src/graphics.c, configure.in:
	added patch by Werner to calculate flux crossing a Dirichlet edge

	* src/graphics.c: revise radio button creation for gtk version < 2.4

2004-09-15  Sarod Yatawatta  <sarod@kandy>

	* src/poly.c: inside polygon point - ray random point

2004-09-14  Sarod Yatawatta  <sarod@kandy>

	* src/types.h: defined M_PI

2004-08-23  Sarod Yatawatta  <sarod@kandy>

	* NEWS: version 0.1.6

2004-08-21  Sarod Yatawatta  <sarod@kandy>

	* src/hash.c:
	for each eigenmode, (x,y,z) components will have only one max value

2004-08-20  Sarod Yatawatta  <sarod@kandy>

	* src/input.c, src/solve.c:
	we reade 1/mu from file but store mu internally.

2004-08-19  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c, src/hash.c, src/input.c, src/types.h:
	added reperate epsilon for boundary

2004-08-17  Sarod Yatawatta  <sarod@kandy>

	* NEWS: added news for pre 0.1.6 release

2004-08-16  Sarod Yatawatta  <sarod@kandy>

	* acinclude.m4:
	macros needed for LAPACK and GTKGLExt are in acinclude.m4

	* src/graphics.c, src/hash.c, src/pdnmesh.c, src/types.h, configure.in:
	added capability to change beta and k0 for waveguide problems.

2004-08-15  Sarod Yatawatta  <sarod@kandy>

	* src/hash.c, src/graphics.c:
	normalized potentials after eigen solution

	* src/eig.c, src/eig_lapack.c, src/graphics.c, src/hash.c, src/pdnmesh.c, src/solve.c, src/types.h:
	integrated new waveguide solvers into the GUI

	* src/hash.c:
	fixed a bug in updating nodal values from edge coefficients

	* src/hash.c, src/eig_lapack.c:
	I think the plain solution for kc works now. verified with one example.

2004-08-14  Sarod Yatawatta  <sarod@kandy>

	* src/hash.c:
	finally given beta, I get consistent eigenvalues for cutoff frequency.
	I think it it working now. need to do more checks.

	* src/eig_lapack.c, src/hash.c: more work on edge solver??

2004-08-13  Sarod Yatawatta  <sarod@kandy>

	* src/pdnmesh.c, src/eig_lapack.c, src/hash.c:
	fixed bug in hash table, added more input options

2004-08-12  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c, src/hash.c, src/solve.c, src/types.h:
	fixed type punned pointer warning

2004-08-07  Sarod Yatawatta  <sarod@kandy>

	* INSTALL, NEWS, README: updated documentation before release

	* man/pdnmesh.1.in, man/pdnmesh_input.5.in: updated date

2004-08-06  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: in 3d window plot contours in BW

2004-07-28  Sarod Yatawatta  <sarod@kandy>

	* configure.in: fixed error in LAPACK detection

	* src/contour.c, src/eig_lapack.c:
	normalized eigenvectors from LAPACK routine

2004-07-25  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: added help menu

2004-07-24  Sarod Yatawatta  <sarod@kandy>

	* src/contour.c, src/graphics.c, src/hash.c, src/output.c, src/pdnmesh.c, src/types.h:
	added gradient EPS file creation.

	* src/contour.c, src/eig_lapack.c, src/graphics.c, src/solve.c, src/types.h:
	added gradient plotting routine. added 3d texture surface.

2004-07-23  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: adding status bar updates

	* src/solve.c, src/types.h, src/graphics.c, src/hash.c, src/pdnmesh.c:
	added status bar and coordinate tracker

	* src/graphics.c, src/types.h:
	removed using gtk notebook for main window

2004-07-22  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/graphics.c:
	in dxf file conversion hollow==0 means a 1 in the coord file.

2004-07-21  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: added gtk notebook for main window

2004-07-14  Sarod Yatawatta  <sarod@kandy>

	* src/eig_lapack.c, src/hash.c: more work on edge solver

	* src/hash.c:
	added update of nodal potentials from edge element solution

	* src/eig_lapack.c: copy back eigenvectors

	* src/eig_lapack.c, src/hash.c, src/types.h: bugfixes

2004-07-13  Sarod Yatawatta  <sarod@kandy>

	* src/eig_lapack.c: fixed up LAPACK generalized eigenroutine wrapper

	* src/hash.c:
	edge formulation gives non positive defininite generalized eigenvalue problem.

	* src/eig_lapack.c:
	added non positive definite generelized eigensolver from LAPACK

	* src/types.h:
	added LAPACK non positive definite generelized eigensolver

2004-07-08  Sarod Yatawatta  <sarod@kandy>

	* src/eig_lapack.c, src/hash.c, src/lexer.c:
	edge finite element solver updates

2004-07-06  Sarod Yatawatta  <sarod@kandy>

	* src/eig_lapack.c, src/solve.c: cleanup debug messages

	* src/solve.c, src/types.h, config.h.in, configure.in, aclocal.m4:
	updated configure.in to look for LAPACK

	* src/types.h, src/Makefile.am, src/eig_lapack.c, src/solve.c:
	added eigenvalue routines using LAPACK

2004-07-05  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c, src/hash.c, src/poly.c, src/solve.c, src/Makefile.am:
	added hash.c: vector edge based solver for wave equation

2004-07-03  Sarod Yatawatta  <sarod@kandy>

	* src/contour.c, src/output.c: added text in eps legend

	* src/contour.c: added legend in EPS contour plot

2004-07-01  Sarod Yatawatta  <sarod@kandy>

	* aclocal.m4: added aclocal.m4, instead of acinclude.m4

	* ChangeLog, aclocal.m4: removed aclocal.m4, updated Changelog

	* doc/examples/Makefile.am, aclocal.m4:
	removed training backslash on Makefile.am

	* src/contour.c: fixed ASCII file rho / mu order

	* src/solve.c: moved some constant defs to types.h

	* src/dxf.c, src/output.c, src/types.h, src/contour.c:
	added function to write ASCII mesh file

2004-07-01  Sarod Yatawatta  <sarod@kandy>

	* doc/examples/Makefile.am, aclocal.m4:
	removed training backslash on Makefile.am

	* src/contour.c: fixed ASCII file rho / mu order

	* src/solve.c: moved some constant defs to types.h

	* src/dxf.c, src/output.c, src/types.h, src/contour.c:
	added function to write ASCII mesh file

2004-05-22  Sarod Yatawatta  <sarod@kandy>

	* src/pdnmesh.c:
	edded commandline -e option to change Poisson/Helmholtz

2004-05-20  Sarod Yatawatta  <sarod@kandy>

	* src/solve.c:
	fixed a bug in build_helmholtz. optimized building poisson and helholtz equations elementwise.

2004-05-02  Sarod Yatawatta  <sarod@kandy>

	* src/graphics.c: added colours to mesh accrding to boundary number

	* doc/tutorial/tutorial.sgml, src/pdnmesh.c, src/types.h, doc/examples/coords.1:
	added deletion of triangles inside hollow boundaries. the triangles will not be deleted but just be marked hidden.

2004-05-01  Sarod Yatawatta  <sarod@kandy>

	* src/types.h, src/graphics.c, src/eig.c:
	bug in requested_degree_of_freedom not being set to degree_of_freedom in solve_options

2004-04-18  Sarod Yatawatta  <sarod@kandy>

	* AUTHORS, aclocal.m4: removed reference to glut.h

	* src/contour.c: removed unnecessery inclusion of GL/glut.h

2004-04-17  Sarod Yatawatta  <sarod@kandy>

	* ChangeLog:

	updated changelog

	* src/bitree.c, src/dxf.c, src/parser.c, src/subdivide.c, aclocal.m4, configure.in:
	version 0.1.5
	bitree.c: BIT_free: free (z) if z!=0
	subdivide.c: split triangles to 4 if common edge largest of neighbour as well.

2004-04-17  sarod  <sarod@gelioya>

	* src/bitree.c, src/dxf.c, src/parser.c, src/subdivide.c, aclocal.m4, configure.in:
	version 0.1.5
	bitree.c: BIT_free: free (z) if z!=0
	subdivide.c: split triangles to 4 if common edge largest of neighbour as well.

2004-04-11  sarod  <sarod@gelioya>

	* src/graphics.c: make it compile in freebsd

	* src/contour.c, src/dxf.c, src/eig.c, src/graphics.c, src/pdnmesh.c, src/poly.c, src/rbt.c, src/solve.c, src/subdivide.c:
	strict ANSI C complience

2004-04-10  sarod  <sarod@gelioya>

	* src/subdivide.c, src/pdnmesh.c, src/graphics.c, man/pdnmesh.1.in, man/pdnmesh_input.5.in:
	fixed typos

	* README: updated readme

	* man/pdnmesh.1, man/pdnmesh.1.in, man/pdnmesh_input.5.in, src/contour.c, doc/tutorial/README:
	updated man pages. minor fixes in contour.c

	* src/graphics.c, src/pdnmesh.c, src/types.h, src/contour.c, src/dxf.c:
	fixed warnings. added plotting legend.

2004-04-04  Sarod Yatawatta  <sarod@kandy>

	* doc/tutorial/Makefile.am: cleaned up tutorial files

	* pdnmesh: removing redundant files.

	* EXTRA, foobar.param, inducmot.c, run1.sh, run2.sh:
	removed extra files

	* src/delaunay.c, src/globals.h, src/mesh.c, src/pdnmesh_v.c, src/pngcontour.c, src/refine.c, src/triag_tree.c, configure.in, man/Makefile.am, man/d2m.1.in, src/Makefile.am, src/d2m.in:
	removed redundant files in /src. removed perl script d2m because parsing DXF files is done by pdnmesh itself.

	* doc/tutorial/tutorial.sgml: updated tutorial

2004-04-01  Sarod Yatawatta  <sarod@kandy>

	* src/poly.c: bug fix in remove_polgon_mesh_intersections

	* src/pdnmesh.c: getopt command line parsing

	* src/contour.c, src/output.c, src/types.h: added colot output eps

2004-03-31  Sarod Yatawatta  <sarod@kandy>

	* src/dag.c, src/dxf.c, src/eig.c, src/graphics.c, src/output.c, src/pdnmesh.c, src/poly.c, src/solve.c, src/subdivide.c, src/types.h, src/contour.c:
	added options to split triangles. added routines for iterative solution.

2004-03-27  Sarod Yatawatta  <sarod@kandy>

	* src/solve.c, src/types.h, src/Makefile.am, src/contour.c, src/dxf.c, src/graphics.c, src/input.c, src/output.c, src/parser.y, src/pdnmesh.c:
	added output EPS file generation

	* src/graphics.c, src/pdnmesh.c, src/types.h:
	added flags to plot contours, mesh etc.

2004-03-25  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/graphics.c, src/input.c, src/pdnmesh.c, src/poly.c, src/types.h:
	dxf.c: finished  dxf import

2004-03-24  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/poly.c, src/types.h:
	dxf.c: added method to visually define boundaries by selecting edges

2004-03-21  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/graphics.c, src/pdnmesh.c, src/types.h:
	dxf.c: added functions to edit point/edge properties

2004-03-07  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/graphics.c, src/pdnmesh.c, src/types.h:
	dxf.c: added object snapping for lines and points of the original dxf file

2004-03-06  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c, src/graphics.c, src/lexer.c, src/parser.c, src/types.h:
	dxf.c: track cursor movement to nearest point

2004-03-03  Sarod Yatawatta  <sarod@kandy>

	* src/dxf.c: dxf.c: version info

	* src/Makefile.am: dxf.o inclusion

	* src/dxf.c: initial work on a DXF file reader

	* src/bitree.c, src/dag.c, src/graphics.c, src/input.c, src/lexer.l, src/parser.y, src/pdnmesh.c, src/rbt.c, src/solve.c, src/subdivide.c, src/types.h:
	bitree.c:functions modified to pass mesh as a local variable

2004-02-24  Sarod Yatawatta  <sarod@kandy>

	* man/pdnmesh.1, src/lexer.c, src/parser.c, config.h.in, configure.in, aclocal.m4:
	added new configure.in to support GTKGLExt

	* src/dag.c, src/graphics.c, src/input.c, src/lexer.l, src/parser.y, src/pdnmesh.c, src/rbt.c, src/solve.c, src/subdivide.c, src/types.h, src/bitree.c:
	added solve->options menu callback to change solution options.

2004-02-22  Sarod Yatawatta  <sarod@kandy>

	* src/subdivide.c:
	divide_this_triangle(): criterion for divison into 3 or 4 triangles refined

	* src/Makefile.am, src/bitree.c, src/dag.c, src/graphics.c, src/input.c, src/lexer.l, src/parser.h, src/parser.y, src/pdnmesh.c, src/rbt.c, src/solve.c, src/types.h:
	added back the expression parser for rho. However, now it will parse it only when it is not a number.

2004-02-21  Sarod Yatawatta  <sarod@kandy>

	* src/bitree.c, src/dag.c, src/graphics.c, src/pdnmesh.c, src/rbt.c, src/types.h:
	added gui menubar. free_everything() to reset variables to solve a new problem.

2004-02-04  Sarod Yatawatta  <sarod@kandy>

	* src/bitree.c, src/contour.c, src/dag.c, src/eig.c, src/graphics.c, src/input.c, src/pdnmesh.c, src/poly.c, src/rbt.c, src/solve.c, src/subdivide.c, src/types.h:
	moved global variable intializations to pdnmesh.c

2004-02-03  Sarod Yatawatta  <sarod@kandy>

	* src/bitree.c, src/contour.c, src/dag.c, src/eig.c, src/graphics.c, src/input.c, src/pdnmesh.c, src/poly.c, src/rbt.c, src/solve.c, src/subdivide.c, src/types.h:
	Modified the whole program so that each point can have more than one degree of freedom. This is useful in solving stress/strain problems and eigenproblems.

2004-01-29  Sarod Yatawatta  <sarod@kandy>

	* src/edge.c, src/engine.c, src/engine_gauss.c, src/circle.c, src/motor.c, src/motor1.c, src/draw.c, src/draw1.c:
	removing redundant files

	* src/temp.c, src/test.c, src/pl.c, src/pl_verbose.c:
	removeing redundant files

	* src/test1.c: remove redundant file

	* src/eig.c, src/input.c:
	input.c: bugfix : polygons intialized before inserting edges
	eig.c: recursive eigenvalue routine: no need to allocate new memory

2004-01-25  Sarod Yatawatta  <sarod@kandy>

	* AUTHORS, NEWS: News, recent changes

	* src/bitree.c, src/dag.c, src/eig.c, src/graphics.c, src/input.c, src/poly.c, src/rbt.c:
	New additions for the new pdnmesh version. old files will be removed.

	* src/subdivide.c, src/types.h, src/contour.c, src/pdnmesh.c, src/solve.c:
	Importing files from new version of pdnmesh from home. more to come

2002-08-28  Sarod Yatawatta  <sarod@kandy>

	* src/contour.c: add color to contour plot in postscript

2002-08-23  Sarod Yatawatta  <sarod@kandy>

	* src/lexer.l, src/mesh.c, src/parser.c, src/parser.y, src/pdnmesh.c, src/refine.c, src/solve.c, src/subdivide.c, src/triag_tree.c, src/types.h, src/lexer.c, src/contour.c, src/delaunay.c:
	modified to parse expression for triangle division at run time. The parameters
	'badness' and 'maximum area' will not be used anymore. Instead one parameter
	called max_edge_length will be taken at start and be used to divide longer edges.

2002-08-20  Sarod Yatawatta  <sarod@kandy>

	* AUTHORS, aclocal.m4: added new contributors

2002-08-19 Sarod Yatawatta <sarod@kandy>
	
	* src/parser.y src/lexer.l src/subdivide.c src/delaunay.c: added
	modifications to read the criterion for triangle division from 
	input file. This can be a logic expression including triangle 
	coordinates, potentials, edge length etc.

2002-08-12 Sarod Yatawatta <sarod@kandy>
	
	* src/solve.c, src/subdivide.c: error checking in calloc(). 
	improved if { .. || .. } clause

2002-07-14  Robert Boehne  <rboehne@gnu.org>

	* configure.in: Modified configure.in to allow for building outside
	the source directory.  Changed creation of d2m to use Autoconf
	directly with AC_SUBST().
	* src/d2m.in: Added an inital line that is changed by configure.
	* src/contour.c, src/draw.c, src/draw1.c, src/pdnmesh.c,
	* src/pdnmesh_v.c, src/pl.c, src/pl_verbose.c, src/triag_tree.c:
	Added glu.h and gl.h to include list, as we should explicitly
	#include the headers that we use the contents of directly.
	This also makes is easier to drop the dependency on glut.
	* commit: New, this is a script that checks the format of
	ChangeLog to make sure it contains the required bits like
	a reference to each file that was changed.
	* src/d2m, configure, config.h.in, Makefile.in,
	* doc/tutorial/Makefile.in: Removed from CVS.

2002-01-18  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/pdnmesh.spec: modified spec

2002-01-13  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/solve.c: added comments in data.in file

	* /home/sarod/cvs/mesh/man/pdnmesh.1.in:
	added options to choose gradient. mesh to display

	* /home/sarod/cvs/mesh/src/pdnmesh.c:
	added options to display gradient by default

2002-01-11  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/Makefile.am, /home/sarod/cvs/mesh/README:
	added README in /doc

	* /home/sarod/cvs/mesh/man/d2m.1.in, /home/sarod/cvs/mesh/man/pdnmesh.1.in, /home/sarod/cvs/mesh/man/pdnmesh_input.5.in:
	updated man pages

	* /home/sarod/cvs/mesh/src/pdnmesh.c: chenged colour of zoom window

2002-01-10  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/pdnmesh.c: changed window title
	added zoom window drawing. added options to limit iterations, choose solution method

2002-01-09  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/pdnmesh.c: added more info to help window

2002-01-08  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/pdnmesh.c:
	added menu options for producing output files. now no default production


2001-12-15  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/contour.c:
	added same color scheme to gradient arrows

	* /home/sarod/cvs/mesh/src/contour.c, /home/sarod/cvs/mesh/src/pdnmesh.c:
	modified colouring scheme for contours. Modified all fonts to be displayed white.

2001-12-14  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/contour.c, /home/sarod/cvs/mesh/src/pdnmesh.c, /home/sarod/cvs/mesh/src/types.h:
	modified gradient plotting routine: arrowheads

2001-11-28  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/triag_tree.c:
	3D modifications. removed some code

2001-11-08  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/pdnmesh.c, /home/sarod/cvs/mesh/src/triag_tree.c, /home/sarod/cvs/mesh/src/types.h:
	working on 3d

	* /home/sarod/cvs/mesh/src/pdnmesh.c, /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/src/types.h:
	refined drawing of about.. window. Will add more detail. will sort this 3d stuff

2001-11-03  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/man/d2m.1.in, /home/sarod/cvs/mesh/man/pdnmesh_input.5.in:
	spell check

	* /home/sarod/cvs/mesh/man/pdnmesh.1.in:
	clarified the swith from cholevsky decomposition to conjugate gradient method.

2001-09-10  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/man/pdnmesh.1.in, /home/sarod/cvs/mesh/Todo:
	man pages

	* /home/sarod/cvs/mesh/src/parser.y, /home/sarod/cvs/mesh/src/solve.c:
	it seems conjugate grad solver is working!

	* /home/sarod/cvs/mesh/src/pdnmesh.c, /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/src/types.h:
	modified the program to impose an upper limit to no of nodes. This would prevent runaway refinement. The final solution will use conjugate gradient method.

2001-09-09  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/src/subdivide.c, /home/sarod/cvs/mesh/src/types.h:
	profile storage in progress
	solve():split to two for conjugate and cholevsky

2001-09-07  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/solve.c: profile work

	* /home/sarod/cvs/mesh/doc/tutorial/tutorial.tex: added version

2001-09-04  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/pdnmesh.c: -V works

	* /home/sarod/cvs/mesh/man/pdnmesh.1.in: updated man

	* /home/sarod/cvs/mesh/src/pdnmesh.c: seperated printing version number

2001-09-02  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/src/contour.c, /home/sarod/cvs/mesh/src/delaunay.c, /home/sarod/cvs/mesh/src/mesh.c, /home/sarod/cvs/mesh/src/pdnmesh.c, /home/sarod/cvs/mesh/src/refine.c, /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/src/subdivide.c, /home/sarod/cvs/mesh/src/triag_tree.c, /home/sarod/cvs/mesh/src/types.h:
	work on profile storage

	* /home/sarod/cvs/mesh/Todo, /home/sarod/cvs/mesh/configure, /home/sarod/cvs/mesh/pdnmesh.spec:
	cvs ident tags

2001-08-30  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/doc/tutorial/appcont.eps, /home/sarod/cvs/mesh/doc/tutorial/appmesh.eps, /home/sarod/cvs/mesh/doc/tutorial/tutorial.dvi, /home/sarod/cvs/mesh/doc/tutorial/tutorial.tex:
	more tutorial

2001-08-26  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/configure.in, /home/sarod/cvs/mesh/pdnmesh.spec:
	new version 0.1.3


	* /home/sarod/cvs/mesh/INSTALL, /home/sarod/cvs/mesh/doc/tutorial/tutorial.dvi:
	none

	* /home/sarod/cvs/mesh/doc/tutorial/tutorial.tex: spelling

	* /home/sarod/cvs/mesh/src/refine.c: same reason

	* /home/sarod/cvs/mesh/src/solve.c, /home/sarod/cvs/mesh/src/triag_tree.c, /home/sarod/cvs/mesh/src/types.h:
	types.h: removed rho from triangles\ since they are now calculated
	solve.c,triag_tree.c: made corresponding changes

2001-08-25  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/doc/tutorial/tutorial.dvi, /home/sarod/cvs/mesh/doc/tutorial/tutorial.tex:
	added detail about input file

2001-08-24  Sarod Yatawatta  <sarod@kandy>

	* /home/sarod/cvs/mesh/doc/tutorial/Makefile.am, /home/sarod/cvs/mesh/doc/tutorial/README, /home/sarod/cvs/mesh/doc/tutorial/tutorial.dvi:
	dvi file

	* /home/sarod/cvs/mesh/pdnmesh.spec: clean

	* /home/sarod/cvs/mesh/pdnmesh.spec:
	added rpm spec file for easier maintenance

	* /home/sarod/cvs/mesh/NEWS:
	yes

	* /home/sarod/cvs/mesh/NEWS: yes

	* /home/sarod/cvs/mesh/NEWS: more news

	* /home/sarod/cvs/mesh/ChangeLog: mdified

$Id: ChangeLog,v 1.19 2005/04/26 05:46:05 sarod Exp $
2001-08-23  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>
	
	* src/solve.c: changed gloabl matrix to store only the lower triangle

2001-08-19  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>


	* src/contour.c, src/delaunay.c, src/mesh.c, src/pdnmesh.c, src/refine.c, src/solve.c:
	removed extra source code


	* src/contour.c, src/delaunay.c, src/mesh.c, src/parser.y, src/pdnmesh.c, src/refine.c, src/solve.c, src/subdivide.c, src/triag_tree.c, src/types.h:
	moved global variable definitions to header file

2001-08-18  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/pdnmesh.c: changed help printout

2001-08-16  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/lexer.l, src/parser.y, src/refine.c:
	cleaned up

	* README: more docs

	* src/contour.c, src/delaunay.c, src/lexer.l, src/parser.y, src/pdnmesh.c, src/refine.c, src/solve.c, src/triag_tree.c, src/types.h:
	removed extern functions from source files

	* src/Makefile.am, src/contour.c, src/delaunay.c, src/globals.h, src/mesh.c, src/pdnmesh.c, src/refine.c, src/solve.c, src/subdivide.c, src/types.h:
	cleaning up code
2001-08-12  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/pdnmesh.c, src/solve.c:
	solve.c: write_mesh_file() added data.in file for mesh data

	* man/pdnmesh.1.in:
	added data.in file for mesh data

	* man/d2m.1.in, man/pdnmesh.1.in, man/pdnmesh_input.5.in:
	fixed some errors

	* src/contour.c, src/pdnmesh.c:
	pdnmesh.c: print_mesh() from now on this will generate an eps file called 'mesh.eps'
	contour.c: print_contour_all() this will generate a file called 'cont.eps'

	* src/contour.c, src/delaunay.c:
	contour.c:print_contour() converted to generate Encapsulated Postscript files, instead of Postscript files

2001-08-09  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/d2m.in: will add perl/Tk support

2001-08-06  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* EXTRA: updating

	* INSTALL: Custom Install file

	* README: Cleaned up docs

	* src/delaunay.c, pdnmesh.c.1, pdnmesh_v.c:
	delaunay.c:getinput():fixed a bug in finding the hull edge for delaunay triangulation

2001-08-05  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/contour.c, src/d2m.in, src/pdnmesh.c:
	contour.c:added a legend to contour plot

2001-08-03  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/d2m.in: added some makeup

	* src/d2m.in, src/delaunay.c:
	enabled comments in inout file to pdnmesh
	comments start with a #

2001-08-02  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/solve.c:
	removed writing the mesh to file in renumber_and_solve(): need to do this only once.

	* src/parser.h:
	header file generated by bison/yacc for lexx

	* configure.scan: cleaning up

	* src/Makefile.in, doc/Makefile.in, Makefile.in:
	removing Makefile.in's - automatically generated

	* doc/examples/curcap, doc/examples/heart, doc/examples/switch, doc/examples/trans, doc/examples/README, doc/examples/coords.10:
	more docs, examples

	* doc/tutorial/README: doc

	* src/Makefile.in, man/Makefile.am, man/Makefile.in, man/pdnmesh.1.in, man/pdnmesh_input.5.in:
	added manual for file format

	* src/Makefile.am, src/config.h.in, src/contour.c, src/d2m.in, src/delaunay.c, src/globals.h, src/lexer.l, src/parser.y, src/pdnmesh.c, src/refine.c, src/solve.c, src/subdivide.c, src/triag_tree.c, src/types.h:
	parser.y,lexer.l:added a parser to parse expressions for value of rho
	refine.c:added 0 option for boundaries to remove traingles within boundary

	* doc/tutorial/Makefile.am, doc/examples/Makefile.am:
	restructuring

	* doc/Makefile.am, doc/Makefile.in:
	restructured doc directory makefiles

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.in:
	fixed awkward configure script

2001-07-28  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/d2m.in, src/Makefile.am, src/Makefile.in:
	d2m: converts .dxf files to files suitable for pdnmesh input

	* man/Makefile.in, doc/examples/coords.10, doc/examples/coords.11, doc/examples/coords.2, doc/examples/coords.6, doc/examples/coords.8, doc/examples/coords.9, doc/Makefile.in, Makefile.in, configure, configure.in:
	added perl script d2m

	* src/Makefile.am, src/Makefile.in, src/delaunay.c, src/refine.c, src/types.h:
	refine.c:cleanup_exteriror() triangles can be deleted from some closed boundaries


	* src/delaunay.c:
	added static modifier for local functions

2001-07-23  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/delaunay.c, src/solve.c:
	delaunay.c: removed division of long lines for the time
	solve.c: switched back to solution by LU decomposition

2001-07-22  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* src/solve.c:
	added solution by conjugate gradient method

2001-07-18  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* ChangeLog: added log

	* src/solve.c:
	added solve() using conjugate gradient method


2001-06-23  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>


	* src/delaunay.c, src/subdivide.c:
	subdivide.c : introduced chacking for ccw2() in bad triangle splits

	* src/delaunay.c, src/subdivide.c, foobar.param, motor2.c:
	delaunay.c : modified subdivision of triangles to handle reflex corners


2001-06-16  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* motor2.c: ditto

	* src/delaunay.c, src/pdnmesh.c, foobar.param, pdnmesh.c.1, run2.sh:
	added motor2

2001-06-13  Sarod Yatawatta  <sarod@cs.pdn.ac.lk>

	* coords, data.in, plot.ps, cont.ps:
	cleaning

	* src/pdnmesh.c, cont.ps, coords, data.in, foobar.param, plot.ps, run1.sh, run2.sh:
	need to remove them

